Subject: bug#35597: closed (Re: bug#35597: GNOME Tweak Tool does not start)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 10 May 2019 11:37:02 +0000

Your bug report

#35597: GNOME Tweak Tool does not start

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35597: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35597
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35597: GNOME Tweak Tool does not start
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Cc: Mark H Weaver <[email-masked]>, sirgazil <[email-masked]>
Date: Fri, 10 May 2019 13:35:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This is now fixed with commit d13f3a033e42b4a14d581390b8fa36cd1db7d023,
which I adjusted from wip-gnome3.30.

-- 
Ricardo

Subject: GNOME Tweak Tool does not start
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Sun, 05 May 2019 19:23:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I installed the GNU system in a real machine using Guix 1.0 ISO installer (https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.0.x86_64-linux.iso.xz).

After installing "gnome-tweak-tool", I cannot launch it.

## Steps to reproduce

1. guix install gnome-tweak-tool
2. Press Alt+F2
3. Type gnome-tweak-tool and press Enter

## Unexpected result

The application never starts.

## Expected result.

The application starts

## Additional information

Almost every time I run "gnome-tweak-tool" in a terminal nothing happens. I immediately get another prompt.

Just one time I got the following warnings and errors:

##############################
$ gnome-tweak-tool 

** (..gnome-tweak-tool-real-real:879): WARNING **: 19:05:05.203: Failed to load shared library 'libsoup-2.4.so.1' referenced by the typelib: libsoup-2.4.so.1: no se puede abrir el fichero del objeto compartido: No existe el fichero o el directorio
WARNING : Error detecting shell
Traceback (most recent call last):
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/tweaks/tweak_group_shell_extensions.py", line 216, in __init__
    ego = ExtensionsDotGnomeDotOrg(version)
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/egowrapper.py", line 38, in __init__
    self._session = Soup.Session.new()
GLib.GError: g-invoke-error-quark: Could not locate soup_session_new: libsoup-2.4.so.1: no se puede abrir el fichero del objeto compartido: No existe el fichero o el directorio (1)
WARNING : Error detecting shell
Traceback (most recent call last):
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/tweaks/tweak_group_shell_extensions.py", line 50, in __init__
    self._swInfo = Gio.DesktopAppInfo.new("org.gnome.Software.desktop")
TypeError: constructor returned NULL
Traceback (most recent call last):
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/widgets.py", line 164, in __init__
    self.settings = GSettingsSetting(schema_name, **options)
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/gsettings.py", line 137, in __init__
    raise GSettingsMissingError(schema_name)
gtweak.gsettings.GSettingsMissingError: org.gnome.mutter

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/app.py", line 43, in do_activate
    self.win = Window(self, model)
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/tweakview.py", line 59, in __init__
    self._model.load_tweaks(self)
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/tweakmodel.py", line 117, in load_tweaks
    mods = __import__("gtweak.tweaks", globals(), locals(), tweak_files, 0)
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/tweaks/tweak_group_keymouse.py", line 274, in <module>
    OverviewShortcutTweak(),
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/tweaks/tweak_group_keymouse.py", line 205, in __init__
    _GSettingsTweak.__init__(self, name, "org.gnome.mutter", "overlay-key", loaded=_shell_loaded, **options)
  File "/gnu/store/ir0chxqf6319hgzigqcn8wjrc61ywvbs-gnome-tweak-tool-3.26.4/lib/python3.7/site-packages/gtweak/widgets.py", line 173, in __init__
    logging.info("GSetting missing %s" % (e.message))
AttributeError: 'GSettingsMissingError' object has no attribute 'message'
##############################

The application didn't exit, I had to press Ctrl+C to get a prompt again.

Also, after running

    strace -f -o tweak-tool-trace.out gnome-tweak-tool

I can see many lines with "No such file or directory". For instance:

##############################
2694  readlink("/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/bin/python3.7", 0x7ffefe14afb0, 4096) = -1 EINVAL (Argumento inválido)
2694  openat(AT_FDCWD, "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/bin/pyvenv.cfg", O_RDONLY) = -1 ENOENT (No existe el fichero o el directorio)
2694  openat(AT_FDCWD, "/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/pyvenv.cfg", O_RDONLY) = -1 ENOENT (No existe el fichero o el directorio)
2694  stat("/gnu/store/zm3188ipzi262s0m8bxm24br77yh9pd8-python-3.7.0/bin/Modules/Setup", 0x7ffefe151020) = -1 ENOENT (No existe el fichero o el directorio)
##############################

But I wouldn't know what to look for in that output.

---
https://sirgazil.bitbucket.io/